
Redmine - Defect #17737

Unable to change the "Activity" value from dropdown "Activity" on the feature

2014-08-25 10:40 - zeashan tayyab

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Steps to reproduce:

Login from Admin account:

Go to "Enumerations" and add value "development" in Activities (time tracking.)

Login with Manager:

create the feature and assign to specific User

Login with User:

login with that specific User

open the feature assign to user

click on the "EDIT" to change the status of the feature

change the "Activity" value from "Activity" drop down as "development" and click on the "submit" button.

System does not change the value in "Activity" drop down.

snapshot attached

History

#1 - 2014-08-27 06:58 - zeashan tayyab

Please look into this issue. thanks

#2 - 2014-09-01 11:08 - zeashan tayyab

Any update on this issue please?

#3 - 2014-09-22 11:59 - Toshi MARUYAMA

- Category changed from Custom fields to Time tracking

#4 - 2014-09-22 12:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#5 - 2014-09-22 12:53 - zeashan tayyab

Dear Toshi,

you need feedback from me? this issue you can check & reproduce at demo.redmine.org as well....

#6 - 2014-09-25 08:24 - Michael Esemplare

In your example:

Fill out the following...

Spent Time: 1.0 Hours

Comment: Logging time for development

Activity-> development

Then click submit.

You should then have 1 hour of Development logged to the issue. You can add time with different activities to the same issue.
In your issue details, the Spent Time should show a link with 1.0 hours. If you click that link it will go to the activity log for that issue.

Is this working for you?

#7 - 2014-09-25 08:34 - zeashan tayyab

Yes it is working for me.But is this function only for logging the time against activities? like what i want .....

suppose:

developer click on Edit button

and enter the comments and all details also set the activity like "development"

now when anyone check that feature now Activity set as "development"

once development finish he logged the spent time and set activity "Testing" or what ever.

i mean to say we use this field only to logged the time but not to set the status of the feature as well?

#8 - 2014-09-25 19:56 - Michael Esemplare

One thing you can do is add a "Development" Category. Or create a custom field for Issues.

These attributes will be applied to the Issue itself.

#9 - 2014-09-28 15:16 - zeashan tayyab

But the thing is i can not Use "Activity" drop down for status? i can not modify the Status?

#10 - 2015-08-23 17:05 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please use the forums for questions and discussions.

#11 - 2015-09-11 16:26 - Toshi MARUYAMA

- Description updated

#12 - 2015-09-11 16:28 - Toshi MARUYAMA

- Description updated

Files

Capture.JPG 58 KB 2014-08-25 zeashan tayyab

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

http://www.tcpdf.org

